# PluginVideoCodec< NAME > Class Template Reference

`#include <opalplugin.hpp>`

Inheritance diagram for PluginVideoCodec< NAME >:

[legend]
Collaboration diagram for PluginVideoCodec< NAME >:
[legend]

## Public Types

| DefaultWidth = 352
| DefaultHeight = 288
| MaxWidth = DefaultWidth*8
| MaxHeight = DefaultHeight*8
enum | { DefaultWidth = 352, DefaultHeight = 288, MaxWidth = DefaultWidth*8, MaxHeight = DefaultHeight*8 }

## Public Member Functions

| PluginVideoCodec (const PluginCodec_Definition *defn)
virtual size_t | GetRawFrameSize (unsigned width, unsigned height)

### template<typename NAME>
class PluginVideoCodec< NAME >

## Member Enumeration Documentation

template<typename NAME>

anonymous enum

Enumerator:

  DefaultWidth |
  DefaultHeight |
  MaxWidth |
  MaxHeight |

## Constructor & Destructor Documentation

template<typename NAME>

PluginVideoCodec< NAME >::PluginVideoCodec | ( | const PluginCodec_Definition * | defn | ) | `[inline]`

## Member Function Documentation

template<typename NAME>

virtual size_t PluginVideoCodec< NAME >::GetRawFrameSize | ( | unsigned | width,
|  | unsigned | height |
| ) |  |  | `[inline, virtual]`

The documentation for this class was generated from the following file:

- opalplugin.hpp